package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/3/5 15:47
 */
public class BeHospitalizedDocTrans {

    public BeHospitalizedDoc extract(MedrecVo medrecVo) {
        BeHospitalizedDoc beHospitalizedDoc = new BeHospitalizedDoc();
        Preproc preproc = new Preproc();
        beHospitalizedDoc.setStructureMap(preproc.extract_doc_pub(
                false,
                ModelStandardKeys.beHospitalized,
                medrecVo.getContent().get("content").toString()));
        return beHospitalizedDoc;
    }

}